
 <div class="form-group" data-bind="visible: visible, attr: {'name': element.dataScope}, css: additionalClasses" data-bind="css: {'_with-tooltip': element.tooltip}">
    <label  class="control-label" data-bind="attr: { for: element.uid },text: element.label"></label>
    <div data-bind="css: {'_with-tooltip': element.tooltip}">
                <!-- ko if: element.tooltip -->
            <!-- ko template: element.tooltipTpl --><!-- /ko -->
        <!-- /ko -->
             <!-- ko ifnot: element.hasAddons() -->
            <!-- ko template: element.elementTmpl --><!-- /ko -->
        <!-- /ko -->

        <!-- ko if: element.hasAddons() -->
            <div class="control-addon">
                <!-- ko template: element.elementTmpl --><!-- /ko -->

                <!-- ko if: element.addbefore -->
                    <label class="addon-prefix" data-bind="attr: { for: element.uid }"><span data-bind="text: element.addbefore"></span></label>
                <!-- /ko -->

                <!-- ko if: element.addafter -->
                    <label class="addon-suffix" data-bind="attr: { for: element.uid }"><span data-bind="text: element.addafter"></span></label>
                <!-- /ko -->
            </div>
        <!-- /ko -->



        <!-- ko if: element.notice -->
            <div class="field-note" data-bind="attr: { id: element.noticeId }"><span data-bind="text: element.notice"></span></div>
        <!-- /ko -->

        <!-- ko if: element.error() -->
            <div class="mage-error" data-bind="attr: { for: element.uid }, text: element.error" generated="true"></div>
        <!-- /ko -->

        <!-- ko if: element.warn() -->
            <div class="message warning" generated="true"><span data-bind="text: element.warn"></span></div>
        <!-- /ko -->
    </div>
  </div>
<!-- /ko -->